# Class ColorConfigDto.ProcedureColors

Namespace
  adas_core.Domain.Models.DTO.Display

Assembly
  adas-core.Domain.dll

Represents a collection of color definitions used to visually represent procedures.

    public class ColorConfigDto.ProcedureColors

Inheritance
  object
  ColorConfigDto.ProcedureColors

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Default

    public ColorConfigDto.AppearanceSettings? Default { get; set; }

#### Property Value

ColorConfigDto.AppearanceSettings

### Expired

    public ColorConfigDto.AppearanceSettings? Expired { get; set; }

#### Property Value

ColorConfigDto.AppearanceSettings

### Finished

    public ColorConfigDto.AppearanceSettings? Finished { get; set; }

#### Property Value

ColorConfigDto.AppearanceSettings

### Initialized

    public ColorConfigDto.AppearanceSettings? Initialized { get; set; }

#### Property Value

ColorConfigDto.AppearanceSettings